/*
 * CSS for rendering GitLab-style labels.
 *
 * Use markup like the following for scoped labels:
 *
 * <span class="gl-label" style="--label-background-colour: #330066; --label-text-colour: #fff;">
 *   <span class="gl-label-text">team</span>
 *   <span class="gl-label-text-scoped">DevOps</span>
 * </span>
 *
 * Use markup like the following for un-scoped labels:
 *
 * <span class="gl-label" style="--label-background-colour: #0033cc; --label-text-colour: #fff;">
 *   <span class="gl-label-text">Documentation</span>
 * </span>
 */

:root {
    /* Default colours for labels. */
    --label-background-colour: #888;
    --label-text-colour: white;
}

.gl-label {
    align-items: center;
    overflow: hidden;
    display: inline-flex;
    border-radius: 1em;
    position: relative;
    max-width: 100%;
    font-size: 0.875em;
    box-shadow: inset 0 0 0 2px var(--label-background-colour) !important;
    background-color: var(--label-background-colour);
    color: var(--label-text-colour);
}

.gl-label.gl-label-scoped {
    background-color: inherit;
    color: inherit;
}

.gl-label-scoped .gl-label-text {
    padding-right: 0.25em;
    background-color: var(--label-background-colour);
    color: var(--label-text-colour);
}

.gl-label .gl-label-text,
.gl-label .gl-label-text-scoped {
    display: block;
    padding-left: 0.5em;
    padding-right: 0.5em;
    padding-top: 0.25em;
    padding-bottom: 0.25em;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 100%;
}
